/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description: 
*
*/
// Autogenerated from epoc32/build/cafstreamingsupport/c_f439661e83f96b9c/localsdpcodec_dll/sdpcodecstringconstants.st by the stringtable tool - Do not edit

#ifndef STRINGTABLE_SdpCodecStringConstants
#define STRINGTABLE_SdpCodecStringConstants

#include <stringpool.h>

struct TStringTable;

/**
 * @publishedAll
 * @released
*/
class SdpCodecStringConstants 
	{
public:
	enum TStrings
		{
		// SDP field names:
		/** v= */
		EVersion,
		/** o= */
		EOrigin,
		/** s= */
		ESession,
		/** i= */
		EInfo,
		/** u= */
		EUri,
		/** e= */
		EEmail,
		/** p= */
		EPhone,
		/** c= */
		EConnection,
		/** b= */
		EBandwidth,
		/** z= */
		EZone,
		/** k= */
		EKey,
		/** a= */
		EAttribute,
		/** t= */
		ETime,
		/** r= */
		ERepeat,
		/** m= */
		EMedia,
		// Predefined bandwidth modifiers:
		/** CT */
		EModifierCT,
		/** AS */
		EModifierAS,
		// Typed time units:
		/** d */
		ETimeUnitDays,
		/** h */
		ETimeUnitHours,
		/** m */
		ETimeUnitMinutes,
		/** s */
		ETimeUnitSeconds,
		// No typed time unit defined:
		/**  */
		ETimeUnitNone,
		// Predefined encryption methods:
		/** clear */
		EMethodClear,
		/** base64 */
		EMethodBase64,
		/** uri */
		EMethodUri,
		/** prompt */
		EMethodPrompt,
		// Predefined attributes:
		/** cat */
		EAttributeCat,
		/** keywds */
		EAttributeKeywds,
		/** tool */
		EAttributeTool,
		/** ptime */
		EAttributePtime,
		/** maxptime */
		EAttributeMaxptime,
		/** recvonly */
		EAttributeRecvonly,
		/** sendrecv */
		EAttributeSendrecv,
		/** sendonly */
		EAttributeSendonly,
		/** inactive */
		EAttributeInactive,
		/** orient */
		EAttributeOrient,
		// Predefined Orient attribute values
		/** portrait */
		EAttributeOrientValuePortrait,
		/** landscape */
		EAttributeOrientValueLandscape,
		/** seascape */
		EAttributeOrientValueSeascape,
		/** type */
		EAttributeType,
		/** charset */
		EAttributeCharset,
		/** sdplang */
		EAttributeSdplang,
		/** lang */
		EAttributeLang,
		/** framerate */
		EAttributeFramerate,
		/** quality */
		EAttributeQuality,
		/** control */
		EAttributeControl,
		/** range */
		EAttributeRange,
		/** etag */
		EAttributeEtag,
		/** des */
		EAttributeDes,
		/** curr */
		EAttributeCurr,
		/** conf */
		EAttributeConf,
		// Predefined Strength tag for Curr, Conf and Des attributes
		/** mandatory */
		EAttributeStatusStrengthTagMandatory,
		/** optional */
		EAttributeStatusStrengthTagOptional,
		/** none */
		EAttributeStatusStrengthTagNone,
		/** failure */
		EAttributeStatusStrengthTagFailure,
		/** unknown */
		EAttributeStatusStrengthTagUnknown,
		// Predefined Status type for Curr, Conf and Des attributes
		/** e2e */
		EAttributeStatusTypeE2e,
		/** local */
		EAttributeStatusTypeLocal,
		/** remote */
		EAttributeStatusTypeRemote,
		// Predefined Direction tag for Curr, Conf and Des attributes
		/** none */
		EAttributeStatusDirectionTagNone,
		/** send */
		EAttributeStatusDirectionTagSend,
		/** recv */
		EAttributeStatusDirectionTagRecv,
		/** sendrecv */
		EAttributeStatusDirectionTagSendrecv,
		/** mid */
		EAttributeMid,
		/** group */
		EAttributeGroup,
		// Predefined semantics for Group attribute
		/** LS */
		EAttributeGroupSemanticLS,
		/** FID */
		EAttributeGroupSemanticFID,
		/** SRF */
		EAttributeGroupSemanticSRF,
		/** rtpmap */
		EAttributeRtpmap,
		/** fmtp */
		EAttributeFmtp,
		// Predefined media types:
		/** audio */
		EMediaAudio,
		/** video */
		EMediaVideo,
		/** application */
		EMediaApplication,
		/** data */
		EMediaData,
		/** control */
		EMediaControl,
		/** image */
		EMediaImage,
		// Predefined media transport protocols:
		/** RTP/AVP */
		EProtocolRtpAvp,
		/** udp */
		EProtocolUdp,
		/** TCP */
		EProtocolTcp,
		// Network type:
		/** IN */
		ENetType,
		// Address types:
		/** IP4 */
		EAddressTypeIP4,
		/** IP6 */
		EAddressType
		};
	static const TStringTable Table;	
	};

#endif // STRINGTABLE_SdpCodecStringConstants

